UIRecursiveTreeNodesAdaptor (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.component.UIRecursiveTreeNodesAdaptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIRecursiveTreeNodesAdaptor

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.model.StackingTreeModelProvider
                  org.richfaces.component.UITreeNodesAdaptor
                      org.richfaces.component.UIRecursiveTreeNodesAdaptor

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlRecursiveTreeNodesAdaptor

    public abstract class UIRecursiveTreeNodesAdaptor

extends UITreeNodesAdaptor

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIRecursiveTreeNodesAdaptor()`

Method Summary
`java.lang.Object` | `getData()`
`abstract java.lang.Object` | `getRoots()`
`org.richfaces.model.StackingTreeModel` | `getStackingModel()`
`abstract java.lang.String` | `getVar()`
`protected boolean` | `includeNode()`
`abstract boolean` | `isIncluded()`
`abstract boolean` | `isIncludedRoot()`
`abstract void` | `setIncluded(boolean active)`
`abstract void` | `setIncludedRoot(boolean active)`
`abstract void` | `setRoots(java.lang.Object roots)`
`abstract void` | `setVar(java.lang.String var)`

Methods inherited from class org.richfaces.component.UITreeNodesAdaptor
`createStackingTreeModel, isIncludedNode, setIncludedNode`

Methods inherited from class org.richfaces.model.StackingTreeModelProvider
`getNodes, setNodes`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIRecursiveTreeNodesAdaptor

    public UIRecursiveTreeNodesAdaptor()

Method Detail

### getRoots

    public abstract java.lang.Object getRoots()

### setRoots

    public abstract void setRoots(java.lang.Object roots)

### isIncluded

    public abstract boolean isIncluded()

### setIncluded

    public abstract void setIncluded(boolean active)

### isIncludedRoot

    public abstract boolean isIncludedRoot()

### setIncludedRoot

    public abstract void setIncludedRoot(boolean active)

### includeNode

    protected boolean includeNode()

  Overrides:
    `includeNode` in class `UITreeNodesAdaptor`

### getData

    public java.lang.Object getData()

  Overrides:
    `getData` in class `org.richfaces.model.StackingTreeModelProvider`

### getVar

    public abstract java.lang.String getVar()

  Specified by:
    `getVar` in class `UITreeNodesAdaptor`

### setVar

    public abstract void setVar(java.lang.String var)

  Specified by:
    `setVar` in class `UITreeNodesAdaptor`

### getStackingModel

    public org.richfaces.model.StackingTreeModel getStackingModel()

  Overrides:
    `getStackingModel` in class `org.richfaces.model.StackingTreeModelProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.